# List

Launch stage: GA

`GET /api/2.1/unity-catalog/storage-credentials`

Gets an array of storage credentials (as __StorageCredentialInfo__ objects).
 The array is limited to only those storage credentials the caller has permission to access.
 If the caller is a metastore admin, retrieval of credentials is unrestricted.
 There is no guarantee of a specific ordering of the elements in the array.

 NOTE: we recommend using max_results=0 to use the paginated version of this API. Unpaginated calls will be deprecated soon.

 PAGINATION BEHAVIOR: When using pagination (max_results >= 0), a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Query parameters

- `include_unbound` (boolean, optional)
  Whether to include credentials not bound to the workspace.
   Effective only if the user has permission to update the credential–workspace binding.
- `max_results` (int32, optional)
  Maximum number of storage credentials to return.
   If not set, all the storage credentials are returned (not recommended).
   - when set to a value greater than 0, the page length is the minimum of
   this value and a server configured value;
   - when set to 0, the page length is set to a server configured value
   (recommended);
   - when set to a value less than 0, an invalid parameter error is returned;
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

Returns a list of StorageCredentialInfo objects.

## Response

```json
{
  "storage_credentials": [
    {
      "name": "string",
      "aws_iam_role": {},
      "azure_service_principal": {},
      "gcp_service_account_key": {},
      "azure_managed_identity": {},
      "databricks_gcp_service_account": {},
      "comment": "string",
      "read_only": true,
      "owner": "string",
      "id": "string",
      "metastore_id": "string",
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string",
      "used_for_managed_storage": true,
      "full_name": "string",
      "isolation_mode": "string"
    }
  ],
  "next_page_token": "string"
}
```

